'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a5939648.js');

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M13 3.06C17.17 3.52 20.48 6.83 20.94 11H22C22.55 11 23 11.45 23 12C23 12.55 22.55 13 22 13H20.94C20.48 17.17 17.17 20.48 13 20.94V22C13 22.55 12.55 23 12 23C11.45 23 11 22.55 11 22V20.94C6.83 20.48 3.52 17.17 3.06 13H2C1.45 13 1 12.55 1 12C1 11.45 1.45 11 2 11H3.06C3.52 6.83 6.83 3.52 11 3.06V2C11 1.45 11.45 1 12 1C12.55 1 13 1.45 13 2V3.06ZM5 12C5 15.87 8.13 19 12 19C15.87 19 19 15.87 19 12C19 8.13 15.87 5 12 5C8.13 5 5 8.13 5 12Z" fill="currentColor"/></svg>';

const RuxIconGpsNotFixed = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return index.h("div", { style: style, innerHTML: svgIcon });
  }
};

exports.rux_icon_gps_not_fixed = RuxIconGpsNotFixed;
