import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const ruxButtonGroupCss = ":host{display:inline}:host([hidden]){display:none}.rux-button-group{display:flex}.rux-button-group ::slotted(rux-button:not(:last-child)){margin-right:var(--spacing-2, 0.5rem)}.rux-button-group--left{justify-content:flex-start}.rux-button-group--right{justify-content:flex-end}.rux-button-group--center{justify-content:center}";

const RuxButtonGroup$1 = /*@__PURE__*/ proxyCustomElement(class RuxButtonGroup extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.hAlign = 'left';
  }
  render() {
    const { hAlign } = this;
    return (h("div", { class: {
        'rux-button-group': true,
        'rux-button-group--left': hAlign === 'left',
        'rux-button-group--right': hAlign === 'right',
        'rux-button-group--center': hAlign === 'center',
      }, part: "container" }, h("slot", null)));
  }
  static get style() { return ruxButtonGroupCss; }
}, [1, "rux-button-group", {
    "hAlign": [1, "h-align"]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-button-group"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-button-group":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxButtonGroup$1);
      }
      break;
  } });
}

const RuxButtonGroup = RuxButtonGroup$1;
const defineCustomElement = defineCustomElement$1;

export { RuxButtonGroup, defineCustomElement };
