import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M20 2H8C6.9 2 6 2.9 6 4V16C6 17.1 6.9 18 8 18H20C21.1 18 22 17.1 22 16V4C22 2.9 21.1 2 20 2ZM3 6C2.45 6 2 6.45 2 7V20C2 21.1 2.9 22 4 22H17C17.55 22 18 21.55 18 21C18 20.45 17.55 20 17 20H5C4.45 20 4 19.55 4 19V7C4 6.45 3.55 6 3 6ZM15 11H18C18.55 11 19 10.55 19 10C19 9.45 18.55 9 18 9H15V6C15 5.45 14.55 5 14 5C13.45 5 13 5.45 13 6V9H10C9.45 9 9 9.45 9 10C9 10.55 9.45 11 10 11H13V14C13 14.55 13.45 15 14 15C14.55 15 15 14.55 15 14V11Z" fill="currentColor"/></svg>';

const RuxIconAddToPhotos$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconAddToPhotos extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-add-to-photos", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-add-to-photos"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-add-to-photos":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconAddToPhotos$1);
      }
      break;
  } });
}

const RuxIconAddToPhotos = RuxIconAddToPhotos$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconAddToPhotos, defineCustomElement };
