import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="12" cy="12" r="10" fill="currentColor"/></svg>';

const RuxIconBrightness1$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconBrightness1 extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-brightness-1", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-brightness-1"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-brightness-1":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconBrightness1$1);
      }
      break;
  } });
}

const RuxIconBrightness1 = RuxIconBrightness1$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconBrightness1, defineCustomElement };
