import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M20 2H4C2.9 2 2 2.9 2 4V22L6 18H20C21.1 18 22 17.1 22 16V4C22 2.9 21.1 2 20 2Z" fill="currentColor"/></svg>';

const RuxIconChatBubble$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconChatBubble extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-chat-bubble", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-chat-bubble"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-chat-bubble":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconChatBubble$1);
      }
      break;
  } });
}

const RuxIconChatBubble = RuxIconChatBubble$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconChatBubble, defineCustomElement };
