import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M11.13 18.45L3.84 5.49C3.46 4.82 3.95 4 4.71 4H19.29C20.05 4 20.54 4.82 20.16 5.49L12.87 18.45C12.49 19.13 11.51 19.13 11.13 18.45ZM17.63 6H6.38L12 16L17.63 6Z" fill="currentColor"/></svg>';

const RuxIconDetails$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconDetails extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-details", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-details"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-details":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconDetails$1);
      }
      break;
  } });
}

const RuxIconDetails = RuxIconDetails$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconDetails, defineCustomElement };
