import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M23 18H22V5C22 3.9 21.1 3 20 3H4C2.9 3 2 3.9 2 5V18H1C0.45 18 0 18.45 0 19C0 19.55 0.45 20 1 20H23C23.55 20 24 19.55 24 19C24 18.45 23.55 18 23 18ZM13.5 18H10.5C10.22 18 10 17.78 10 17.5C10 17.22 10.22 17 10.5 17H13.5C13.78 17 14 17.22 14 17.5C14 17.78 13.78 18 13.5 18ZM4 15H20V6C20 5.45 19.55 5 19 5H5C4.45 5 4 5.45 4 6V15Z" fill="currentColor"/></svg>';

const RuxIconLaptopChromebook$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconLaptopChromebook extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-laptop-chromebook", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-laptop-chromebook"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-laptop-chromebook":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconLaptopChromebook$1);
      }
      break;
  } });
}

const RuxIconLaptopChromebook = RuxIconLaptopChromebook$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconLaptopChromebook, defineCustomElement };
