import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M20 4H4C2.9 4 2.01 4.9 2.01 6L2 18C2 19.1 2.9 20 4 20H20C21.1 20 22 19.1 22 18V6C22 4.9 21.1 4 20 4ZM20 17C20 17.55 19.55 18 19 18H5C4.45 18 4 17.55 4 17V8L10.94 12.34C11.59 12.75 12.41 12.75 13.06 12.34L20 8V17ZM4 6L12 11L20 6H4Z" fill="currentColor"/></svg>';

const RuxIconMailOutline$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconMailOutline extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-mail-outline", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-mail-outline"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-mail-outline":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconMailOutline$1);
      }
      break;
  } });
}

const RuxIconMailOutline = RuxIconMailOutline$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconMailOutline, defineCustomElement };
