import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M7 19H17C17.55 19 18 19.45 18 20C18 20.55 17.55 21 17 21H7C6.45 21 6 20.55 6 20C6 19.45 6.45 19 7 19Z" fill="currentColor"/></svg>';

const RuxIconMinimize$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconMinimize extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-minimize", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-minimize"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-minimize":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconMinimize$1);
      }
      break;
  } });
}

const RuxIconMinimize = RuxIconMinimize$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconMinimize, defineCustomElement };
