import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M11.99 2C6.47 2 2 6.48 2 12C2 17.52 6.47 22 11.99 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 11.99 2ZM12 20C7.58 20 4 16.42 4 12C4 7.58 7.58 4 12 4C16.42 4 20 7.58 20 12C20 16.42 16.42 20 12 20ZM17 9.5C17 10.33 16.33 11 15.5 11C14.67 11 14 10.33 14 9.5C14 8.67 14.67 8 15.5 8C16.33 8 17 8.67 17 9.5ZM8.5 11C9.33 11 10 10.33 10 9.5C10 8.67 9.33 8 8.5 8C7.67 8 7 8.67 7 9.5C7 10.33 7.67 11 8.5 11ZM7.25 16.25C8.2 14.61 9.97 13.5 12 13.5C14.03 13.5 15.8 14.61 16.75 16.25C16.94 16.58 16.69 17 16.31 17H7.69C7.31 17 7.06 16.58 7.25 16.25Z" fill="currentColor"/></svg>';

const RuxIconMoodBad$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconMoodBad extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-mood-bad", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-mood-bad"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-mood-bad":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconMoodBad$1);
      }
      break;
  } });
}

const RuxIconMoodBad = RuxIconMoodBad$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconMoodBad, defineCustomElement };
