import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 1.01L7 1C5.9 1 5 1.9 5 3V21C5 22.1 5.9 23 7 23H17C18.1 23 19 22.1 19 21V3C19 1.9 18.1 1.01 17 1.01ZM11 7H13V9H11V7ZM11 12C11 11.45 11.45 11 12 11C12.55 11 13 11.45 13 12V16C13 16.55 12.55 17 12 17C11.45 17 11 16.55 11 16V12ZM7 19H17V5H7V19Z" fill="currentColor"/></svg>';

const RuxIconPermDeviceInformation$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconPermDeviceInformation extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-perm-device-information", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-perm-device-information"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-perm-device-information":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconPermDeviceInformation$1);
      }
      break;
  } });
}

const RuxIconPermDeviceInformation = RuxIconPermDeviceInformation$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconPermDeviceInformation, defineCustomElement };
