import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M2 12C2 6.48 6.48 2 12 2C17.52 2 22 6.48 22 12C22 17.52 17.52 22 12 22C6.48 22 2 17.52 2 12ZM4 12C4 16.42 7.58 20 12 20C16.42 20 20 16.42 20 12C20 7.58 16.42 4 12 4C7.58 4 4 7.58 4 12Z" fill="currentColor"/></svg>';

const RuxIconRadioButtonUnchecked$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconRadioButtonUnchecked extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-radio-button-unchecked", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-radio-button-unchecked"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-radio-button-unchecked":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconRadioButtonUnchecked$1);
      }
      break;
  } });
}

const RuxIconRadioButtonUnchecked = RuxIconRadioButtonUnchecked$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconRadioButtonUnchecked, defineCustomElement };
