import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M7 1L17 1.01C18.1 1.01 19 1.9 19 3V21C19 22.1 18.1 23 17 23H7C5.9 23 5 22.1 5 21V3C5 1.9 5.9 1 7 1ZM7 19H17V5H7V19Z" fill="currentColor"/></svg>';

const RuxIconSmartphone$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconSmartphone extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-smartphone", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-smartphone"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-smartphone":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconSmartphone$1);
      }
      break;
  } });
}

const RuxIconSmartphone = RuxIconSmartphone$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconSmartphone, defineCustomElement };
