import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M8 6H16C17.1 6 18 6.9 18 8V16C18 17.1 17.1 18 16 18H8C6.9 18 6 17.1 6 16V8C6 6.9 6.9 6 8 6Z" fill="currentColor"/></svg>';

const RuxIconStop$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconStop extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-stop", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-stop"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-stop":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconStop$1);
      }
      break;
  } });
}

const RuxIconStop = RuxIconStop$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconStop, defineCustomElement };
