import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M21.65 11.65L18.86 8.86C18.54 8.54 18 8.76 18 9.21V11H4C3.45 11 3 11.45 3 12C3 12.55 3.45 13 4 13H18V14.79C18 15.24 18.54 15.46 18.85 15.14L21.64 12.35C21.84 12.16 21.84 11.84 21.65 11.65Z" fill="currentColor"/></svg>';

const RuxIconTrendingFlat$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconTrendingFlat extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-trending-flat", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-trending-flat"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-trending-flat":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconTrendingFlat$1);
      }
      break;
  } });
}

const RuxIconTrendingFlat = RuxIconTrendingFlat$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconTrendingFlat, defineCustomElement };
