import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM18 12C18 15.31 15.31 18 12 18C8.69 18 6 15.31 6 12C6 8.69 8.69 6 12 6C15.31 6 18 8.69 18 12Z" fill="currentColor"/></svg>';

const RuxIconTripOrigin$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconTripOrigin extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-trip-origin", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-trip-origin"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-trip-origin":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconTripOrigin$1);
      }
      break;
  } });
}

const RuxIconTripOrigin = RuxIconTripOrigin$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconTripOrigin, defineCustomElement };
