import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ruxTabPanelCss = ":host{display:block;position:relative;visibility:visible;z-index:1;font-family:var(--font-body-1-font-family, 'Roboto', -apple-system, BlinkMacSystemFont, 'Segoe UI', Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif);font-size:var(--font-body-1-font-size, 1rem);font-weight:var(--font-body-1-font-weight, 400);letter-spacing:var(--font-body-1-letter-spacing, 0.005em);line-height:var(--line-height-base, 1.5rem);text-align:left}:host([hidden]){display:none}:host(.hidden){display:none;position:absolute;visibility:hidden;z-index:-1}";

const RuxTabPanel$1 = /*@__PURE__*/ proxyCustomElement(class RuxTabPanel extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  connectedCallback() {
    this.el.setAttribute('role', 'tabpanel');
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  get el() { return this; }
  static get style() { return ruxTabPanelCss; }
}, [1, "rux-tab-panel"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-tab-panel"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-tab-panel":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxTabPanel$1);
      }
      break;
  } });
}

const RuxTabPanel = RuxTabPanel$1;
const defineCustomElement = defineCustomElement$1;

export { RuxTabPanel, defineCustomElement };
